//
//  ASElementArray.h
//  Paste2
//
//  Created by Andrew Finnell on 10/28/09.
//  Copyright 2009 Order N Development, LLC. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@class ASObject;

@interface ASElementArray : NSObject {
	ASObject *_container;
	NSString *_key;
}

- (id) initWithContainer:(ASObject *)container key:(NSString *)key;

- (NSAppleEventDescriptor *) insertionLocationForIndex:(NSInteger)index;

- (ASObject *) objectAtIndex:(NSUInteger)index;
- (NSUInteger)count;

- (ASObject *) all;

@end
